aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.com>2022-02-01 20:45:01 +0200
committerkaotisk <kaotisk@arching-kaos.com>2022-02-01 20:45:01 +0200
commitfc8efd3bd49b8b4fc3a1c5d77020be75824d26c3 (patch)
treed6102fafdf5570730c5a649da960c4b62af655b6
parent9bba811e7c6c1081cd73a935ee9eb043b6574e0a (diff)
downloadarching-kaos-tools-fc8efd3bd49b8b4fc3a1c5d77020be75824d26c3.tar.gz
arching-kaos-tools-fc8efd3bd49b8b4fc3a1c5d77020be75824d26c3.tar.bz2
arching-kaos-tools-fc8efd3bd49b8b4fc3a1c5d77020be75824d26c3.zip
Check step by step the procedure in order to be sure the right thing is happening. Fixed an error where wrong path was trying to be copied
-rwxr-xr-xbin/zchain-reset25
1 files changed, 22 insertions, 3 deletions
diff --git a/bin/zchain-reset b/bin/zchain-reset
index 2a289c0..b48907a 100755
--- a/bin/zchain-reset
+++ b/bin/zchain-reset
@@ -8,13 +8,32 @@ usage(){
exit 0
}
reset (){
+ echo "Reseting ZLATEST to ZGENESIS"
cp $ZGENESIS $ZLATEST
- ipfs name publish --key=zchain /ipfs/$ZLATEST
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Publishing new (reset) ZLATEST"
+ ipfs name publish --key=zchain /ipfs/$(cat $ZLATEST)
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Make sure /zarchive folder exists within IPFS FS"
ipfs files mkdir /zarchive
+ if [ $? != 0 ]; then echo "Folder already there"; fi
+
+ echo "Archive the previous ZLATEST"
ipfs files cp /zlatest /zarchive/$(date -u +%s)-$(ipfs files stat /zlatest | head -n 1)
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Removing previous /zlatest entry"
ipfs files rm /zlatest
- ipfs files cp /ipfs/$(cat $ZLATEST) /zlatest
- echo "Probably reset"
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Copying reset ZLATEST"
+ CZLATEST="$(cat $ZLATEST)"
+ ipfs files cp /ipfs/$CZLATEST /zlatest
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Reset was successful"
exit 0
}
if [ ! -z $1 ]; then